## TV105S.ZIP

=== tvision/linux/Makefile ===
# This file is automatically generated by RHIDE Version 1.4.7
# created with the command:
# gpr2mak librhtv.gpr
vpath_src=../stream ../names ../classes/linux ../classes ..
vpath %.c $(vpath_src)
vpath %.cc $(vpath_src)
vpath %.cpp $(vpath_src)
vpath %.C $(vpath_src)
vpath %.cxx $(vpath_src)
vpath %.s $(vpath_src)
vpath %.S $(vpath_src)
vpath %.p $(vpath_src)
vpath %.pas $(vpath_src)
vpath %.f $(vpath_src)
vpath %.for $(vpath_src)
vpath %.F $(vpath_src)
vpath %.fpp $(vpath_src)
vpath %.i $(vpath_src)
vpath %.ii $(vpath_src)
vpath %.m $(vpath_src)
vpath %.asm $(vpath_src)
vpath %.nsm $(vpath_src)
vpath_obj=obj
vpath %.o $(vpath_obj)
RHIDE_GCC=gcc
RHIDE_AS=gcc
RHIDE_GXX=gcc
RHIDE_GPC=gpc
RHIDE_FPC=ppc386
RHIDE_AR=ar
RHIDE_LD=gcc
RHIDE_G77=g77
RHIDE_NASM=nasm
RHIDE_LD_PASCAL=gpc
RHIDE_LD_FPC=ld
RHIDE_GNATBIND=gnatbind
RHIDE_RM=rm
RHIDE_ARFLAGS=rcs
RHIDE_TYPED_LIBS.f=m f2c
RHIDE_TYPED_LIBS.for=$(RHIDE_TYPED_LIBS.f)
RHIDE_TYPED_LIBS.F=$(RHIDE_TYPED_LIBS.f)
RHIDE_TYPED_LIBS.fpp=$(RHIDE_TYPED_LIBS.f)
RHIDE_TYPED_LIBS_GPC=m gpc
RHIDE_TYPED_LIBS_FPC=fpc
RHIDE_TYPED_LIBS.p=$(RHIDE_TYPED_LIBS_$(PASCAL_TYPE))
RHIDE_TYPED_LIBS.pas=$(RHIDE_TYPED_LIBS.p)
RHIDE_TYPED_LIBS.pp=$(RHIDE_TYPED_LIBS_FPC)
RHIDE_TYPED_LIBS_DJGPP.cc=stdcxx
RHIDE_TYPED_LIBS_Linux.cc=stdc++
RHIDE_TYPED_LIBS.cc=$(RHIDE_TYPED_LIBS_$(RHIDE_OS).cc)
RHIDE_TYPED_LIBS.cpp=$(RHIDE_TYPED_LIBS.cc)
RHIDE_TYPED_LIBS.cxx=$(RHIDE_TYPED_LIBS.cc)
RHIDE_TYPED_LIBS.C=$(RHIDE_TYPED_LIBS.cc)
RHIDE_TYPED_LIBS.ii=$(RHIDE_TYPED_LIBS.cc)
RHIDE_TYPED_LIBS.l=fl
RHIDE_TYPED_LIBS.m=objc
RHIDE_TYPED_LIBS.adb=gnat
RHIDE_TYPED_LIBS_SUFFIXES=$(sort $(foreach item,$(PROJECT_ITEMS),$(suffix\
	$(item))))
RHIDE_TYPED_LIBS=$(foreach\
	suff,$(RHIDE_TYPED_LIBS_SUFFIXES),$(RHIDE_TYPED_LIBS$(suff)))
RHIDE_INCLUDES=$(SPECIAL_CFLAGS) $(addprefix -I,$(INCLUDE_DIRS))
RHIDE_LIBDIRS=$(addprefix -L,$(LIB_DIRS))
RHIDE_LIBS=$(addprefix -l,$(LIBS) $(RHIDE_TYPED_LIBS) $(RHIDE_OS_LIBS))
RHIDE_LDFLAGS=$(SPECIAL_LDFLAGS) $(addprefix -Xlinker ,$(LD_EXTRA_FLAGS))
RHIDE_NASM_TARGET_DJGPP=coff
RHIDE_NASM_TARGET_Linux=elf
RHIDE_NASM_TARGET=$(RHIDE_NASM_TARGET_$(RHIDE_OS))
RHIDE_COMPILE_NASM=$(RHIDE_NASM) -f $(RHIDE_NASM_TARGET) $(LOCAL_OPT) -o\
	$(OUTFILE)  $(SOURCE_NAME)
RHIDE_COMPILE_FORTRAN=$(RHIDE_G77) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_F_LANG_FLAGS) $(C_EXTRA_FLAGS)\
	$(LOCAL_OPT)  -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_FORTRAN_FORCE=$(RHIDE_G77) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_F_LANG_FLAGS) $(C_EXTRA_FLAGS)\
	-x f77 $(LOCAL_OPT)  -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_C=$(RHIDE_GCC) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_C_LANG_FLAGS) $(C_EXTRA_FLAGS)\
	$(LOCAL_OPT)  $(CPPFLAGS) $(CFLAGS) $(RHIDE_OS_CFLAGS) -c\
	$(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_C_FORCE=$(RHIDE_GCC) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_C_LANG_FLAGS) $(C_EXTRA_FLAGS)\
	-x c $(LOCAL_OPT)  $(CPPFLAGS) $(CFLAGS) $(RHIDE_OS_CFLAGS) -c\
	$(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_CC=$(RHIDE_GXX) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_C_LANG_FLAGS)\
	$(C_CXX_LANG_FLAGS) $(C_EXTRA_FLAGS)  $(CPPFLAGS) $(CXXFLAGS)\
	$(RHIDE_OS_CXXFLAGS) $(LOCAL_OPT)   -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_CC_FORCE=$(RHIDE_GXX) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_C_LANG_FLAGS)\
	$(C_CXX_LANG_FLAGS) $(C_EXTRA_FLAGS)  $(CPPFLAGS) $(CXXFLAGS)\
	$(RHIDE_OS_CXXFLAGS) -x c++ $(LOCAL_OPT)   -c $(SOURCE_NAME) -o\
	$(OUTFILE)
RHIDE_COMPILE_ASM=$(RHIDE_AS) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_EXTRA_FLAGS) $(LOCAL_OPT)  -c\
	$(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_ASM_FORCE=$(RHIDE_AS) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_EXTRA_FLAGS) -x assembler\
	$(LOCAL_OPT)  -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_GPC_FLAGS=$(RHIDE_INCLUDES) $(C_DEBUG_FLAGS) $(C_OPT_FLAGS)\
	$(C_WARN_FLAGS)  $(C_P_LANG_FLAGS) $(C_EXTRA_FLAGS)
RHIDE_COMPILE_GPC=$(RHIDE_GPC) $(RHIDE_GPC_FLAGS) $(LOCAL_OPT)  -c\
	$(SOURCE_NAME) -o $(OUTFILE)
RHIDE_COMPILE_GPC_FORCE=$(RHIDE_GPC) $(RHIDE_GPC_FLAGS) -x pascal\
	$(LOCAL_OPT)  -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_FPC_FLAGS=$(C_FPC_LANG_FLAGS) $(LOCAL_OPT) $(addprefix\
	-Up,$(INCLUDE_DIRS))  $(C_EXTRA_FLAGS)
RHIDE_COMPILE_FPC=$(RHIDE_FPC) $(RHIDE_FPC_FLAGS) -E- $(SOURCE_NAME)
RHIDE_COMPILE_FPC_FORCE=$(RHIDE_FPC) $(RHIDE_FPC_FLAGS) -B -E-\
	$(SOURCE_NAME)
RHIDE_COMPILE_LINK=$(RHIDE_LD) $(RHIDE_LIBDIRS) $(C_EXTRA_FLAGS) -o\
	$(OUTFILE)  $(OBJFILES) $(LIBRARIES) $(LDFLAGS) $(RHIDE_LDFLAGS)\
	$(RHIDE_LIBS)
RHIDE_COMPILE_LINK_GPC=$(RHIDE_LD_PASCAL) $(RHIDE_LIBDIRS) $(C_EXTRA_FLAGS)\
	-o $(OUTFILE)  $(OBJFILES) $(LIBRARIES) $(RHIDE_LDFLAGS) $(LDFLAGS)\
	$(RHIDE_LIBS)
RHIDE_COMPILE_LINK_GPC_AUTOMAKE=$(RHIDE_LD_PASCAL) $(RHIDE_LIBDIRS)  -o\
	$(OUTFILE) --automake="$(strip $(RHIDE_GPC_FLAGS))"\
	$(RHIDE_GPC_FLAGS)  $(SOURCE_NAME) $(LIBRARIES) $(LDFLAGS)\
	$(RHIDE_LDFLAGS) $(RHIDE_LIBS)
RHIDE_COMPILE_PASCAL=$(RHIDE_COMPILE_$(PASCAL_TYPE))
RHIDE_COMPILE_PASCAL_FORCE=$(RHIDE_COMPILE_$(PASCAL_TYPE)_FORCE)
RHIDE_COMPILE_LINK_PASCAL_AUTOMAKE=$(RHIDE_COMPILE_LINK_$(PASCAL_TYPE)_AUTOMAKE)
RHIDE_COMPILE_LINK_PASCAL=$(RHIDE_COMPILE_LINK_$(PASCAL_TYPE))
RHIDE_FPC_LIBDIRS_DJGPP=$(DJDIR)/lib
RHIDE_FPC_LIBDIRS_Linux=/usr/local/lib /usr/lib /lib
RHIDE_FPC_LIBDIRS=$(RHIDE_FPC_LIBDIRS_$(RHIDE_OS))
RHIDE_FPC_LINK_FLAGS_DJGPP=-O coff-go32-exe $(RHIDE_LIBDIRS) $(addprefix\
	-L,$(RHIDE_FPC_LIBDIRS))
RHIDE_FPC_LINK_FLAGS_Linux=$(RHIDE_LIBDIRS) $(addprefix\
	-L,$(RHIDE_FPC_LIBDIRS))
RHIDE_FPC_LINK_FLAGS=$(RHIDE_FPC_LINK_FLAGS_$(RHIDE_OS))
RHIDE_COMPILE_LINK_FPC=$(RHIDE_LD_FPC) -o $(OUTFILE) $(OBJFILES)\
	$(RHIDE_FPC_LINK_FLAGS)   $(LIBRARIES) $(RHIDE_LIBS)
RHIDE_COMPILE_LINK_FPC_AUTOMAKE=$(RHIDE_FPC) -o$(OUTFILE) $(SOURCE_NAME)\
	$(RHIDE_FPC_FLAGS) -E+
RHIDE_COMPILE_ARCHIVE=$(RHIDE_AR) $(RHIDE_ARFLAGS) $(OUTFILE) $(OBJFILES)
RHIDE_COMPILE_ADA=$(RHIDE_GCC) $(RHIDE_INCLUDES) $(C_DEBUG_FLAGS)\
	$(C_OPT_FLAGS)  $(C_WARN_FLAGS) $(C_C_LANG_FLAGS) $(C_EXTRA_FLAGS)\
	$(LOCAL_OPT)  $(C_ADA_LANG_FLAGS)  $(CPPFLAGS) $(CFLAGS)\
	$(RHIDE_OS_CFLAGS) -c $(SOURCE_NAME) -o $(OUTFILE)
RHIDE_ADA_BIND_FILE=$(addprefix _,$(setsuffix .c,$(OUTFILE)))
RHIDE_COMPILE_LINK_ADA_BIND=$(RHIDE_GNATBIND) -o $(RHIDE_ADA_BIND_FILE)\
	$(setsuffix .ali,$(OUTFILE))
RHIDE_COMPILE_LINK_ADA_LINK=$(RHIDE_LD) $(RHIDE_LIBDIRS) $(C_EXTRA_FLAGS) -o\
	$(OUTFILE)  $(RHIDE_ADA_BIND_FILE) $(OBJFILES) $(LIBRARIES)\
	$(LDFLAGS)  $(RHIDE_LDFLAGS) $(RHIDE_LIBS)
_RHIDE_COMPILE_LINK_ADA=$(RHIDE_COMPILE_LINK_ADA_BIND);\
	$(RHIDE_COMPILE_LINK_ADA_LINK);   $(RHIDE_RM)\
	$(RHIDE_ADA_BIND_FILE)
RHIDE_COMPILE_LINK_ADA=gnatbl $(RHIDE_LIBDIRS) $(C_EXTRA_FLAGS) -o\
	$(OUTFILE)  $(setsuffix .ali,$(OUTFILE)) $(LIBRARIES) $(LDFLAGS) \
	$(RHIDE_LDFLAGS) $(RHIDE_LIBS)
RHIDE_COMPILE.c.o=$(RHIDE_COMPILE_C)
RHIDE_COMPILE.cc.o=$(RHIDE_COMPILE_CC)
RHIDE_COMPILE.p.o=$(RHIDE_COMPILE_PASCAL)
RHIDE_COMPILE.pas.o=$(RHIDE_COMPILE.p.o)
RHIDE_COMPILE.pp.o=$(RHIDE_COMPILE_FPC)
RHIDE_COMPILE.pas.s.GPC=$(subst -c $(SOURCE_NAME),-S\
	$(SOURCE_NAME),$(RHIDE_COMPILE_GPC))
RHIDE_COMPILE.pas.s.FPC=$(RHIDE_COMPILE_FPC) -a -s
RHIDE_COMPILE.pas.s=$(RHIDE_COMPILE.pas.s.$(PASCAL_TYPE))
RHIDE_COMPILE.f.o=$(RHIDE_COMPILE_FORTRAN)
RHIDE_COMPILE.nsm.o=$(RHIDE_COMPILE_NASM)
RHIDE_COMPILE.s.o=$(RHIDE_COMPILE_ASM)
RHIDE_COMPILE.c.s=$(subst -c $(SOURCE_NAME),-S\
	$(SOURCE_NAME),$(RHIDE_COMPILE_C))
RHIDE_COMPILE.c.i=$(subst -c $(SOURCE_NAME),-E\
	$(SOURCE_NAME),$(RHIDE_COMPILE_C))
RHIDE_COMPILE.i.s=$(RHIDE_COMPILE.c.s)
RHIDE_COMPILE.cc.s=$(subst -c $(SOURCE_NAME),-S\
	$(SOURCE_NAME),$(RHIDE_COMPILE_CC))
RHIDE_COMPILE.cc.ii=$(subst -c $(SOURCE_NAME),-E\
	$(SOURCE_NAME),$(RHIDE_COMPILE_CC))
RHIDE_COMPILE.ii.s=$(RHIDE_COMPILE.cc.s)
RHIDE_COMPILE.cpp.o=$(RHIDE_COMPILE.cc.o)
RHIDE_COMPILE.cxx.o=$(RHIDE_COMPILE.cc.o)
RHIDE_COMPILE.C.o=$(RHIDE_COMPILE.cc.o)
RHIDE_COMPILE.pas.o=$(RHIDE_COMPILE.p.o)
RHIDE_COMPILE.for.o=$(RHIDE_COMPILE.f.o)
RHIDE_COMPILE.F.o=$(RHIDE_COMPILE.f.o)
RHIDE_COMPILE.fpp.o=$(RHIDE_COMPILE.f.o)
RHIDE_COMPILE.asm.o=$(RHIDE_COMPILE.nsm.o)
RHIDE_COMPILE.cpp.s=$(RHIDE_COMPILE.cc.s)
RHIDE_COMPILE.cxx.s=$(RHIDE_COMPILE.cc.s)
RHIDE_COMPILE.C.s=$(RHIDE_COMPILE.cc.s)
RHIDE_COMPILE.cpp.ii=$(RHIDE_COMPILE.cc.ii)
RHIDE_COMPILE.cxx.ii=$(RHIDE_COMPILE.cc.ii)
RHIDE_COMPILE.C.ii=$(RHIDE_COMPILE.cc.ii)
RHIDE_COMPILE.adb.o=$(RHIDE_COMPILE_ADA)
RHIDE_FSDB=fsdb $(OUTFILE) $(addprefix -p ,$(SRC_DIRS)) $(PROG_ARGS)
RHIDE_GDB=gdb $(OUTFILE) $(addprefix -d ,$(SRC_DIRS))
DEFAULT_GREP_MASK=*.[cfhmnps]*
RHIDE_GREP=grep -n $(prompt arguments for GREP,$(WUC) $(DEFAULT_GREP_MASK))
RHIDE_GPROF=gprof $(OUTFILE)
RHIDE_RLOG=$(shell rlog -R $(rlog_arg))
RHIDE_CO=$(shell co -q $(co_arg))
RHIDE_STANDARD_INCLUDES_DJGPP=$(addprefix $(DJDIR)/,include include/sys\
	lang/cxx lang/cxx/std)
RHIDE_STANDARD_INCLUDES_Linux=$(addprefix /usr/,include include/sys\
	include/g++ include/g++/std)
RHIDE_STANDARD_INCLUDES=$(RHIDE_STANDARD_INCLUDES_$(RHIDE_OS))
RHIDE_CONFIG_DIRS_DJGPP=. $(RHIDE_SHARE) $(HOME) $(DJDIR)/share/rhide
RHIDE_CONFIG_DIRS_Linux=. $(RHIDE_SHARE) $(HOME) /usr/local/share/rhide\
	/usr/share/rhide  /local/share/rhide /share/rhide
RHIDE_CONFIG_DIRS=$(RHIDE_CONFIG_DIRS_$(RHIDE_OS))\
	$(RHIDE_BIN_DIR)/../share/rhide
RHIDE_PATH_SEPARATOR_DJGPP=;
RHIDE_PATH_SEPARATOR_Linux=:
RHIDE_PATH_SEPARATOR=$(RHIDE_PATH_SEPARATOR_$(RHIDE_OS))
INCLUDE_DIRS=../include
LIB_DIRS=
C_DEBUG_FLAGS=-gstabs3
C_OPT_FLAGS=-O2
C_WARN_FLAGS=-Wall -Werror
C_C_LANG_FLAGS=
C_CXX_LANG_FLAGS=
C_P_LANG_FLAGS=
C_FPC_LANG_FLAGS=
C_F_LANG_FLAGS=
C_ADA_LANG_FLAGS=
LIBS=
LD_EXTRA_FLAGS=
C_EXTRA_FLAGS=
LOCAL_OPT=$(subst ___~~~___, ,$(subst $(notdir $<)___,,$(filter $(notdir\
	$<)___%,$(LOCAL_OPTIONS))))
OBJFILES=obj/bc.o obj/drivers2.o obj/dual.o obj/fileview.o obj/fpbase.o\
	obj/fpstream.o obj/gkey.o obj/gkeyli.o obj/histlist.o\
	obj/ifpstrea.o obj/iopstrea.o obj/ipstream.o obj/misc.o obj/mouse.o\
	obj/msgbox.o obj/nbackgro.o obj/nbutton.o obj/nchdirdi.o\
	obj/ncheckbo.o obj/nclrdisp.o obj/ncluster.o obj/ncollect.o\
	obj/ncolordi.o obj/ncolorgr.o obj/ncolorit.o obj/ncolorse.o\
	obj/ndesktop.o obj/ndialog.o obj/ndircoll.o obj/ndirlist.o\
	obj/neditor.o obj/neditwi.o obj/newstr.o obj/nfilecol.o\
	obj/nfiledia.o obj/nfiledtr.o obj/nfileinf.o obj/nfileinp.o\
	obj/nfilelis.o obj/nfilterv.o obj/nframe.o obj/ngroup.o\
	obj/nhistory.o obj/nindicat.o obj/ninputli.o obj/nlabel.o\
	obj/nlistbox.o obj/nlistvie.o obj/nmemo.o obj/nmenubar.o\
	obj/nmenubox.o obj/nmenuvie.o obj/nmonosel.o obj/nparamte.o\
	obj/nradiobu.o obj/nrangeva.o obj/nresourc.o obj/nscrollb.o\
	obj/nscrolle.o obj/nsortedc.o obj/nsortedl.o obj/nstatict.o\
	obj/nstatusl.o obj/nstringc.o obj/nstringl.o obj/nvalidat.o\
	obj/nview.o obj/nwindow.o obj/ofpstrea.o obj/opstream.o\
	obj/pstream.o obj/rhscreen.o obj/sbackgro.o obj/sbutton.o\
	obj/schdirdi.o obj/scheckbo.o obj/sclrdisp.o obj/scluster.o\
	obj/scolordi.o obj/scolorgr.o obj/scolorit.o obj/scolorse.o\
	obj/screen.o obj/sdesktop.o obj/sdialog.o obj/sdircoll.o\
	obj/sdirlist.o obj/seditor.o obj/seditwin.o obj/sescreen.o\
	obj/sfilecol.o obj/sfiledia.o obj/sfileedi.o obj/sfileinf.o\
	obj/sfileinp.o obj/sfilelis.o obj/sfilterv.o obj/sframe.o\
	obj/sgroup.o obj/shistory.o obj/sindicat.o obj/sinputli.o\
	obj/slabel.o obj/slistbox.o obj/slistvie.o obj/smemo.o\
	obj/smenubar.o obj/smenubox.o obj/smenuvie.o obj/smonosel.o\
	obj/sparamte.o obj/sradiobu.o obj/srangeva.o obj/sresourc.o\
	obj/sscrollb.o obj/sscrolle.o obj/sstatict.o obj/sstatusl.o\
	obj/sstringc.o obj/sstringl.o obj/sview.o obj/swindow.o\
	obj/tapplica.o obj/tbackgro.o obj/tbutton.o obj/tchdirdi.o\
	obj/tcheckbo.o obj/tclrdisp.o obj/tcluster.o obj/tcollect.o\
	obj/tcolordi.o obj/tcolorgr.o obj/tcolorit.o obj/tcolorse.o\
	obj/tcommand.o obj/tdesktop.o obj/tdialog.o obj/tdircoll.o\
	obj/tdirlist.o obj/tdisplay.o obj/tdrawbuf.o obj/teditor.o\
	obj/teditorf.o obj/teditwin.o obj/tevent.o obj/tfilecol.o\

=== tvision/debian/changelog ===
rhtvision (1.0.5-1) unstable; urgency=low

  * New upstream version:
    - Bugfixes.
    - Debian diffs incorporated on upstream source.
    - Renamed the name of the library from libtv to librhtv.
    - Some more classes added.
  * Standards version now is 2.5.0.0 (no changes).
  * Instead of doing the symlinks manually, now I use dh_link.
  * Now requires debhelpers >= 1.2.9.
  * Mention in debian/maintainer.notes that debian/rules should be mode
    755.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Tue,  6 Apr 1999 22:24:13 -0300

rhtvision (1.0.3-6) unstable; urgency=low

  * Removed postrm for rhtvision1-dev and rhtvision1, since it is not
    necessary.
  * Removed postinst for rhtvision1-dev since it is not necessary.
  * Packages checked with Lintian, there are some warnings yet...
  * Added maintainer.notes, gives usefull information for the
    maintainer (hey, thats me!).
  * I forgot about doing a symlink in the rhtvision1-dev package from
    rhtvision1.so to rhtvision1.so.1.0.3 (Lintian not complained about
    this!).

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Fri,  5 Mar 1999 16:04:23 -0300

rhtvision (1.0.3-5) unstable; urgency=low

  * Applied patches from upstream maintainer. Avoiding deleting some
    files that should not be deleted, added a clean-debian rule to
    clean Debian specific files, only headers files are copied from the
    include directory, and corrected the copying of files in the
    example directory (it seems that the author has some files there
    that don't need to be copied, dh_installexamples doesn't help very
    much...).
  * Made the clean target to depend on clean-debian, to avoid
    repetition of code.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Mon,  1 Mar 1999 00:29:43 -0300

rhtvision (1.0.3-4) unstable; urgency=low

  * I don't remembered to add -lgpm on the upstream makemak.pl file.
  * Now the symlink is forced (-f parameter to ln).

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Sun, 28 Feb 1999 23:37:46 -0300

rhtvision (1.0.3-3) unstable; urgency=low

  * Removed some .ex files that never will be necessary.
  * Corrected upstream makemak.pl script to make a shared library that
    has dependencies, also added -pipe switch to gcc (little faster).

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Sun, 28 Feb 1999 22:35:57 -0300

rhtvision (1.0.3-2) unstable; urgency=low

  * Lots of bugfixes and now it works.
  * First version showed to the upstream authors.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Fri, 19 Feb 1999 02:14:01 -0300

rhtvision (1.0.3-1) unstable; urgency=low

  * Initial Release.

 -- Ivan Baldo <lubaldo@adinet.com.uy>  Wed, 17 Feb 1999 13:05:15 -0300

Local variables:
mode: debian-changelog
add-log-mailing-address: "lubaldo@adinet.com.uy"
End:

=== tvision/debian/control ===
Source: rhtvision
Section: libs
Priority: optional
Maintainer: Ivan Baldo <lubaldo@adinet.com.uy>
Standards-Version: 2.5.0.0

Package: rhtvision1-dev
Architecture: i386
Depends: rhtvision1, libc6-dev, libgpmg1-dev, libncurses4-dev
Provides: rhtvision-dev
Conflicts: rhtvision-dev
Description: Development files for the RHTVision library - a TUI interface.
 This is the statically linked library and header files for the development
 of applications using the RHTVision library. You need to install this package
 only if you want to develop or compile programs using the RHTVision library.

Package: rhtvision1
Architecture: i386
Depends: ${shlibs:Depends}
Description: The RHTVision library - an intuitive TUI interface for console applications.
 This is the shared library for programs using the RHTVision library.
 .
 The RHTVision library gives an intuitive and user friendly TUI (Textual User
 Interface) for programs using this library and running in a console.
 .
 This library is based on the Turbo Vision library made by Borland Corporation.
 That library was released by Borland under a Public Domain license.
 RHTVision is Borland's Turbo Vision library but with enhancements, some
 changes and a GPL license.
 .
 There's a DOS version of this library as well.

=== tvision/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

package=rhtvision

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	#-mkdir shared static
	#
	# First build the shared library
	#cd shared ; \
	#  $(MAKE) -f ../Makefile VPATH=".." srcdir=".." \
	#      CFLAGS="-O2 -fPIC -pipe" ; \
	#    gcc -shared -Wl,-soname,$(package).so.$(version_major) -o $(package).so.$(version) `ls *.o`
	cd linuxso; ./makemak.pl;


	# Build the static library (it does not need Position Independent Code,
	# which reserves one register; thus without -fPIC we get more efficient
	# code).
	#
	#cd static ; \
	#     $(MAKE) -f ../Makefile VPATH=".." srcdir=".." \
	#          CFLAGS="-O2 -pipe" LDFLAGS="-s" progs
	cd linux; $(MAKE)

	touch build-stamp


clean: clean-debian
	#-rm -rf static shared
	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm -f linux/obj/*.o
	rm -f linux/librhtv.a
	rm -f linuxso/librhtv.so.*
	rm -f linuxso/Makefile
	rm -f linuxso/gkeyli.cc
	rm -f linuxso/instlib
	rm -f linuxso/obj/*.o


clean-debian:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	#I should investigate why here dh_clean isn't called with the -k switch...
	dh_clean


install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	cp linuxso/librhtv.so.$(version) debian/tmp/usr/lib
	cp linux/librhtv.a debian/tmp/usr/lib/librhtv_g.a
	cp linux/librhtv.a debian/tmp/usr/lib/librhtv.a
	cp include/*.h debian/tmp/usr/include/rhtvision

	dh_link usr/lib/librhtv.so.$(version) usr/lib/librhtv.so.$(version_major)   usr/lib/librhtv.so.$(version) usr/lib/librhtv.so
	dh_movefiles -p rhtvision1

	touch install-stamp


## Build architecture-independent files here.
#binary-indep: build install
##	dh_testversion
#	dh_testdir -i
#	dh_testroot -i
#	dh_installdocs -i
#	dh_installexamples -i
##	dh_installmenu -i
##	dh_installemacsen -i
##	dh_installinit -i
##	dh_installcron -i
##	dh_installmanpages -i
#	dh_undocumented rhtvision.3 tvision.3
#	dh_installchangelogs -i change.log
#	dh_compress -i
#	dh_fixperms -i
##	dh_suidregister -i
#	dh_installdeb -i
#	dh_gencontrol -i
#	dh_md5sums -i
#	dh_builddeb -i


binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
	dh_undocumented rhtvision.3 tvision.3
	dh_installchangelogs change.log
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
